Subject: Lead from Live Chat - Rentacardoha.com
From: Alexandre Bermond <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Date: Mon, 4 Apr 2022 21:12:57 -0400

| | Lead from Live Chat for Al Muftah Rent-a-Car

Name | Alexandre Bermond
E-mail | [email-masked]
Phone Number | () +33658382323
Lead About | Rental - With Driver

Details of requirement

I am Alexandre Bermond, Manager Business Development at Gomotio, new platform specilaised in Airport Transfers and Packages. I tried to contact M. Fazil for a partnership but it looks he is not working in your company anymore
Whom can I contact, please ?

I am working for a platform, we need a partner in Doha for our bookings

| |